Find cases and documents similar to a given legal source. Useful for finding citing cases, related precedents, or similar statutes.
curl --request POST \
--url https://api.case.dev/legal/v1/similar \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"jurisdiction": "<string>",
"numResults": 10,
"startPublishedDate": "2023-12-25"
}
'{
"sourceUrl": "<string>",
"jurisdiction": "<string>",
"found": 123,
"similarSources": [
{
"url": "<string>",
"title": "<string>",
"snippet": "<string>",
"publishedDate": "<string>",
"source": "<string>"
}
],
"hint": "<string>"
}API key starting with sk_case_
Source URL and filtering options
URL of a legal document to find similar sources for
Optional jurisdiction ID to filter results
Number of results 1-25 (default: 10)
1 <= x <= 25Optional ISO date to find only newer documents (e.g., "2020-01-01")
Was this page helpful?
curl --request POST \
--url https://api.case.dev/legal/v1/similar \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"jurisdiction": "<string>",
"numResults": 10,
"startPublishedDate": "2023-12-25"
}
'{
"sourceUrl": "<string>",
"jurisdiction": "<string>",
"found": 123,
"similarSources": [
{
"url": "<string>",
"title": "<string>",
"snippet": "<string>",
"publishedDate": "<string>",
"source": "<string>"
}
],
"hint": "<string>"
}